com.airbnb.android.react.maps

## Class AirMapMarker

- java.lang.Object
- - ReactViewGroup
  - - com.airbnb.android.react.maps.AirMapFeature
    - - com.airbnb.android.react.maps.AirMapMarker

    public class AirMapMarker
    extends AirMapFeature

### Constructor Summary

Constructors
Constructor and Description
`AirMapMarker(android.content.Context context)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToMap(GoogleMap map)`
`void` `addView(android.view.View child, int index)`
`android.view.View` `getCallout()`
`AirMapCallout` `getCalloutView()`
`java.lang.Object` `getFeature()`
`java.lang.String` `getIdentifier()`
`android.view.View` `getInfoContents()`
`MarkerOptions` `getMarkerOptions()`
`void` `removeFromMap(GoogleMap map)`
`void` `setAnchor(double x, double y)`
`void` `setCalloutAnchor(double x, double y)`
`void` `setCalloutView(AirMapCallout view)`
`void` `setCoordinate(ReadableMap coordinate)`
`void` `setDraggable(boolean draggable)`
`void` `setFlat(boolean flat)`
`void` `setIdentifier(java.lang.String identifier)`
`void` `setImage(java.lang.String uri)`
`void` `setMarkerHue(float markerHue)`
`void` `setRotation(float rotation)`
`void` `setSnippet(java.lang.String snippet)`
`void` `setTitle(java.lang.String title)`
`void` `update()`
`void` `update(int width, int height)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AirMapMarker

    public AirMapMarker(android.content.Context context)

### Method Detail

#### setCoordinate

    public void setCoordinate(ReadableMap coordinate)

#### setIdentifier

    public void setIdentifier(java.lang.String identifier)

#### getIdentifier

    public java.lang.String getIdentifier()

#### setTitle

    public void setTitle(java.lang.String title)

#### setSnippet

    public void setSnippet(java.lang.String snippet)

#### setRotation

    public void setRotation(float rotation)

#### setFlat

    public void setFlat(boolean flat)

#### setDraggable

    public void setDraggable(boolean draggable)

#### setMarkerHue

    public void setMarkerHue(float markerHue)

#### setAnchor

    public void setAnchor(double x,
                          double y)

#### setCalloutAnchor

    public void setCalloutAnchor(double x,
                                 double y)

#### setImage

    public void setImage(java.lang.String uri)

#### getMarkerOptions

    public MarkerOptions getMarkerOptions()

#### addView

    public void addView(android.view.View child,
                        int index)

#### getFeature

    public java.lang.Object getFeature()

Specified by:
  `getFeature` in class `AirMapFeature`

#### addToMap

    public void addToMap(GoogleMap map)

Specified by:
  `addToMap` in class `AirMapFeature`

#### removeFromMap

    public void removeFromMap(GoogleMap map)

Specified by:
  `removeFromMap` in class `AirMapFeature`

#### update

    public void update()

#### update

    public void update(int width,
                       int height)

#### setCalloutView

    public void setCalloutView(AirMapCallout view)

#### getCalloutView

    public AirMapCallout getCalloutView()

#### getCallout

    public android.view.View getCallout()

#### getInfoContents

    public android.view.View getInfoContents()